<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionFoldMap Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d14/class_action_fold_map.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionFoldMap Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionFoldMap:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/d14/class_action_fold_map.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae50459cca7e22ef041923086a2a8ccda"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d14/class_action_fold_map.html#ae50459cca7e22ef041923086a2a8ccda">ActionFoldMap</a> ()</td></tr>
<tr class="separator:ae50459cca7e22ef041923086a2a8ccda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69bc5918034266b05aff1396149a25fa"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d14/class_action_fold_map.html#a69bc5918034266b05aff1396149a25fa">IsInstant</a> ()</td></tr>
<tr class="separator:a69bc5918034266b05aff1396149a25fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6878901bad30379e58ba662e5cc60cdf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d14/class_action_fold_map.html#a6878901bad30379e58ba662e5cc60cdf">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a6878901bad30379e58ba662e5cc60cdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30ec27553b31d445e08551aa661f5ce7"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d14/class_action_fold_map.html#a30ec27553b31d445e08551aa661f5ce7">HasTarget</a> ()</td></tr>
<tr class="separator:a30ec27553b31d445e08551aa661f5ce7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8806d6bbbd61535ba29b51f5f7df77fe"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d14/class_action_fold_map.html#a8806d6bbbd61535ba29b51f5f7df77fe">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a8806d6bbbd61535ba29b51f5f7df77fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51277243bdfa0661fa2cd34a1f4deef8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d14/class_action_fold_map.html#a51277243bdfa0661fa2cd34a1f4deef8">GetActionCategory</a> ()</td></tr>
<tr class="separator:a51277243bdfa0661fa2cd34a1f4deef8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html#l00003">3</a> of file <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html">ActionFoldMap.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae50459cca7e22ef041923086a2a8ccda" name="ae50459cca7e22ef041923086a2a8ccda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae50459cca7e22ef041923086a2a8ccda">&#9670;&#160;</a></span>ActionFoldMap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionFoldMap::ActionFoldMap </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html#l00005">5</a> of file <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html">ActionFoldMap.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8806d6bbbd61535ba29b51f5f7df77fe" name="a8806d6bbbd61535ba29b51f5f7df77fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8806d6bbbd61535ba29b51f5f7df77fe">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionFoldMap::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html#l00026">26</a> of file <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html">ActionFoldMap.c</a>.</p>

</div>
</div>
<a id="a6878901bad30379e58ba662e5cc60cdf" name="a6878901bad30379e58ba662e5cc60cdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6878901bad30379e58ba662e5cc60cdf">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionFoldMap::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html#l00015">15</a> of file <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html">ActionFoldMap.c</a>.</p>

</div>
</div>
<a id="a51277243bdfa0661fa2cd34a1f4deef8" name="a51277243bdfa0661fa2cd34a1f4deef8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51277243bdfa0661fa2cd34a1f4deef8">&#9670;&#160;</a></span>GetActionCategory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionFoldMap::GetActionCategory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html#l00035">35</a> of file <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html">ActionFoldMap.c</a>.</p>

</div>
</div>
<a id="a30ec27553b31d445e08551aa661f5ce7" name="a30ec27553b31d445e08551aa661f5ce7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30ec27553b31d445e08551aa661f5ce7">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionFoldMap::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html#l00021">21</a> of file <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html">ActionFoldMap.c</a>.</p>

</div>
</div>
<a id="a69bc5918034266b05aff1396149a25fa" name="a69bc5918034266b05aff1396149a25fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69bc5918034266b05aff1396149a25fa">&#9670;&#160;</a></span>IsInstant()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionFoldMap::IsInstant </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html#l00010">10</a> of file <a class="el" href="../../dc/d86/_action_fold_map_8c_source.html">ActionFoldMap.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/<a class="el" href="../../dc/d86/_action_fold_map_8c_source.html">ActionFoldMap.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d14/class_action_fold_map.html">ActionFoldMap</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
